Get Virtual Account
curl --request GET \
--url https://pay-api.holdstation.com/partners/mid/va/{va_account} \
--header 'Partner-App-Key: <partner-app-key>' \
--header 'X-HSPay-Signature: <x-hspay-signature>' \
--header 'X-HSPay-Timestamp: <x-hspay-timestamp>'import requests
url = "https://pay-api.holdstation.com/partners/mid/va/{va_account}"
headers = {
"Partner-App-Key": "<partner-app-key>",
"X-HSPay-Signature": "<x-hspay-signature>",
"X-HSPay-Timestamp": "<x-hspay-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Partner-App-Key': '<partner-app-key>',
'X-HSPay-Signature': '<x-hspay-signature>',
'X-HSPay-Timestamp': '<x-hspay-timestamp>'
}
};
fetch('https://pay-api.holdstation.com/partners/mid/va/{va_account}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"partner_id": "partner-xyz",
"va_account": "1234567890",
"va_name": "PARTNER ABC ORDER 12345",
"va_bank": "Vietcombank",
"remark": "order-12345",
"status": 1,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"expired_at": "2025-01-01T00:00:00Z"
}
}
Merchant Virtual Account
Get Virtual Account
Get details of a specific virtual account owned by the partner.
GET
/
partners
/
mid
/
va
/
{va_account}
Get Virtual Account
Get details of a specific virtual account owned by the partner.
Authentication
string
required
Your partner app key.
string
required
Base64-encoded Ed25519 signature of the sign data.
string
required
Unix timestamp (seconds) of the request. Must be within 60 seconds of server time.
Path Parameters
string
required
The virtual account number to look up.
{
"message": "success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"partner_id": "partner-xyz",
"va_account": "1234567890",
"va_name": "PARTNER ABC ORDER 12345",
"va_bank": "Vietcombank",
"remark": "order-12345",
"status": 1,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"expired_at": "2025-01-01T00:00:00Z"
}
}